Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
artifact_schema = client.artifact_schemas.get(artifact_id="artifact_schema_9f2a1c")
print(f"{artifact_schema.display_name} (v{artifact_schema.version})")
print(f"Storage strategy: {artifact_schema.storage_strategy}")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const artifactSchema = await client.artifactSchemas.get("artifact_abc123");
console.log(`${artifactSchema.display_name} (v${artifactSchema.version})`);
console.log(artifactSchema.description);package main
import (
"context"
"fmt"
"os"
"github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
schema, err := client.ArtifactSchemas.Get(context.Background(), "artschema_8f3c2a91")
if err != nil {
panic(err)
}
fmt.Printf("Schema: %s (v%s)\n", schema.DisplayName, schema.Version)
}curl --request GET \
--url https://api.meibel.ai/v2/artifact-schemas/{artifact_id} \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/artifact-schemas/{artifact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"version": "<string>",
"type": "<string>",
"description": "<string>",
"required": true,
"schema_def": {},
"storage_strategy": "<string>",
"parent_version": "<string>",
"max_size_bytes": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Artifact schemas
Get Artifact Schema
GET
/
artifact-schemas
/
{artifact_id}
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
artifact_schema = client.artifact_schemas.get(artifact_id="artifact_schema_9f2a1c")
print(f"{artifact_schema.display_name} (v{artifact_schema.version})")
print(f"Storage strategy: {artifact_schema.storage_strategy}")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const artifactSchema = await client.artifactSchemas.get("artifact_abc123");
console.log(`${artifactSchema.display_name} (v${artifactSchema.version})`);
console.log(artifactSchema.description);package main
import (
"context"
"fmt"
"os"
"github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
schema, err := client.ArtifactSchemas.Get(context.Background(), "artschema_8f3c2a91")
if err != nil {
panic(err)
}
fmt.Printf("Schema: %s (v%s)\n", schema.DisplayName, schema.Version)
}Authorizations
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I